Subject: Re: videobuf

From: Laurent Pinchart <[email-masked]>
Date: Tue, 30 Oct 2007 17:43:16 +0100

On Tuesday 30 October 2007 16:28, Robert Woodworth wrote:
> I'm  working on building a v4l2 driver for an FPGA module on a Xilinx
> Virtex4 PPC.
>
> Question:
> Why does the v4l2 videobuf *depend* on PCI?

Historical reasons I guess. The videobuf module has been designed for PCI 
hardware (bttv if I'm not mistaken). Now that other, non-PCI devices would 
benefit from videobuf, PCI-specific support is being moved to a separate 
module.

Search the video4linux mailing list archive for discussions about videobuf 
cleanup. You can get the latest source tree at www.linuxtv.org.

Best regards,

-- 
Laurent Pinchart
CSE Semaphore Belgium

Chaussée de Bruxelles, 732A
B-1410 Waterloo
Belgium

T +32 (2) 387 42 59
F +32 (2) 387 42 75